Subject: Re: [Megaco] Re: Usage of LocalControl,Local and Remote Descriptors!

From: "H.S.Sureshchandra" <[email-masked]>
Date: Tue, 10 Jun 2003 11:09:42 +0530

Hello Tom,

I do not see incorporation of any of the observations made by my colleague
Simran Chadha in the new RFC 3525, as "promised" by you in your earlier
mail.

Please clarify. Thanks !

Suresh

----- Original Message -----
From: "Tom Taylor" <[email-masked]>
To: "Simran Chadha" <[email-masked]>
Cc: "Megaco List" <[email-masked]>
Sent: Wednesday, February 05, 2003 12:29 AM
Subject: Re: [Megaco] Re: Usage of LocalControl,Local and Remote
Descriptors!

> That "cannot not" is a typo -- I'll remove the "not" during the "authors'
48 hours"
> interval prior to formal publication as a new RFC.
>
> On your second point: the two paragraphs apply independently to
ReserveGroup and
> ReserveValue.  That is, it is possible to have ReserveGroup TRUE and
ReserveValue
> FALSE -- in which case the MG reserves for multiple session descriptions
but is
> restricted to one codec in each -- or vice versa.  Or both could be TRUE,
or both FALSE.
>
> On the third point, the intended meaning would be conveyed by replacing
"if it
> cannot support any of the alternatives" with "if it can support none of
the
> alternatives".  Perhaps I can also do that during the "authors' 48 hours"
period,
> though we would usually do it through the ITU-T Implementor's Guide.
>
> The task of developing an unambiguous protocol specification is not
simple.  Your
> points have eluded others in the three years since first approval.  Thank
you for
> your contribution.
>
> Simran Chadha wrote:
> >
> > Hi List,
> >
> > Can someone please help me at the earliest on the issues raised earlier
> > by me - particularly, usage of LocalControl,Local and Remote Descriptors
?
> >
> > Thanks in advance.
> >
> > Simran Chadha
> > On Thu, 30 Jan 2003 Simran  Chadha wrote :
> >
> >> Hi List,
> >>
> >> Can you please help me with clarifications in my understanding of
> >> sections 7.1.7 and 7.1.8 on the use of LocalControl,Local and Remote
> >> Descriptors.
> >>
> >> As per draft-ietf-megaco-3015corr-03, in section 7.1.7,
> >> If the value of a Reserve property is True, the MG SHALL reserve
> >> resources for all alternatives specified in the Local and/or Remote
> >> descriptors for which it currently has resources available. It SHALL
> >> respond with the alternatives for which it reserves resources. If it
> >> cannot not support any of the alternatives, it SHALL respond with a
> >> reply to the MGC that contains empty Local and/or Remote descriptors.
> >> The use of two negations - "cannot not" in the last statement will
> >> imply that - If it can support any of the alternatives, it SHALL
> >> respond with a reply to the MGC that contains empty Local and/or
> >> Remote descriptors.
> >> I don't think this is what is meant to be conveyed here.
> >>
> >> Also in section 7.1.7 the first para starts - If the value of a
> >> Reserve property is True, .....
> >> while the second para starts - If the value of a Reserve property is
> >> False, ....
> >> Now as there are two Reserve properties - one Reserve Group and the
> >> other Reserve Value, One could be False and the other could be True.
> >> Then in this case what will be the inference - Should para 1 apply or
> >> para 2 ? Both the paras would seem to be mutually exclusive in what is
> >> needed to be done.
> >>
> >> Also statements like "if it cannot support any of the alternatives ...
> >> " - will have two meanings.
> >> 1. Any -  Not even one - NONE of the alternatives is supported.
> >> 2. Any -  Atleast one   - While a few alternatives can be supported, a
> >> few might not be.
> >>
> >> The protocol needs to be more clear on such aspects in the documents
> >> henceforth. The English language is understood in different parts of
> >> the world. Variations to agreed usage of the language terms will make
> >> it difficult for new users of Megaco protocol, like me.
> >>
> >> Can someone please educate me on the exact usage and meaning of
> >> LocalControl,Local and Remote Descriptors ?
> >>
> >> Thanks and awaiting comments and clarifications
> >>
> >> Simran Chadha
> >
> >
> >
> > _______________________________________________
> > Megaco mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/megaco
> >
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
>

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "H.S.Sureshchandra" <[email-masked]>
Date: Tue, 10 Jun 2003 11:09:42 +0530

Hello Tom,

Please clarify. Thanks !

Suresh

----- Original Message -----
From: "Tom Taylor" <[email-masked]>
To: "Simran Chadha" <[email-masked]>
Cc: "Megaco List" <[email-masked]>
Sent: Wednesday, February 05, 2003 12:29 AM
Subject: Re: [Megaco] Re: Usage of LocalControl,Local and Remote
Descriptors!

48 hours"
ReserveGroup and
ReserveValue
but is
or both FALSE.
"if it
the
period,
simple.  Your
you for
?

---

From: Tom Taylor <[email-masked]>
Date: Tue, 10 Jun 2003 08:33:13 -0400

My apologies -- I failed to keep this somewhwere where I would remember it when the 
time came.  The ridiculous part is that the "authors' 48 hours" actually lasted a 
full month due to other delays.

We can do two things now: record the corrections in the Implementor's Guide, and 
register them as errata against the RFC with the RFC Editor.  I'll work on that today.

---

From: Tom Taylor <[email-masked]>
Date: Tue, 10 Jun 2003 08:33:13 -0400